WineHQ
Category: Main Scientific/Technical/Math WarpEM nightly build 2020-11-04

WarpEM

No Screenshot

Submit Screenshot

this is an update to version 1.0.9.

Application Details:

Version: nightly build 2020-11-04
License: Shareware
URL: http://www.warpem.com/warp/
Votes: 0
Latest Rating: Silver
Latest Wine Version Tested: 8.21

Maintainers: About Maintainership

Free Download binary download

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works


Used an installation of WarpEM that was installed in WINEPREFIX with wine-staging 7.18. 





What does not

When trying to start Warp or M it stops with the error "No cuda devices where found. ..."

Workarounds

What was not tested

could not do any testing because Warp and M do not start.

Hardware tested

Graphics:

  • GPU: Nvidia
  • Driver: proprietary

Additional Comments

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowDebian 11Nov 29 20238.21Yes Yes YesSilverAlois Schlögl 
CurrentDebian 11Dec 22 20227.22-stagingYes No NoGarbageAlois Schlögl 
ShowDebian 11Dec 22 20227.21-stagingYes Yes YesSilverAlois Schlögl 
ShowDebian GNU/Linux 11.x "Bullseye" x86_64Oct 07 20227.18-stagingYes Yes NoSilverAlois Schlögl 

Known Bugs

Bug # Description Status Resolution Other apps affected
54102 GPU Caps Viewer does not report any CUDA devices starting with version 7.22 UNCONFIRMED View
54197 cuda-z and warpem fail in wine-staging 7.22 and later UNCONFIRMED View
55011 Cuda-application M/WarpEM got stuck or crashes in wine-staging/7.21, wine/8.9+nvidia-libs UNCONFIRMED View

Show open bugs

HowTo / Notes

Boxnet in Warp crashes on RTX2080 cards

Using Boxnet [1] in Warp crashes on machine with RTX2080 cards but works fine on GTX1080 cards (other GPU's were not tested) 

This is fixed in recent version of Sveinar's nvidia-libs

[1] http://www.warpem.com/warp/?pa...

only nvcuda-CUDA_Support patches from wine-staging are needed


Instead of using all of wine-staging, it is sufficient to use only the patches of "nvcuda-CUDA_Support". 

Boxnet of Warpem seems to work only with older GPUs

The Boxnet module in Warpem seem only usable with older GPU versions like the GTX1080ti

For the RTX2080 an additional patch to wine is needed (see Bug 53809)

When using newer cards like RTX3080, A10, A40, Warpem hangs when trying to load the Boxnet model. I do not know whether this is also the case on Window, so I do not know whether this is a bug in Wine or Warpem.

However, when Boxnet is not needed, Warpem seems to run fine.


Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Warp of WarpEM requires wine-staging between v7.17 - v7.21
by Alois Schlögl on Thursday December 22nd 2022, 1:03
With 7.22, the nvcuda patches have been disabled and are not applied anymore, and because of this WarpEM is not usable with 7.22 or later. Before v7.17, WarpEM was not usable for any production use.

Therefore, the Warp part of WarpEM requires wine-staging between v7.17 - v7.21
Back